Summary:	GMIME library
Summary(pl.UTF-8):	Biblioteka GMIME
Name:		gmime3
Version:	3.0.5
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gmime/3.0/gmime-%{version}.tar.xz
# Source0-md5:	3a281d0b9487fa3281cb776daeca50c3
Patch0:		%{name}-link.patch
Patch1:		%{name}-am.patch
URL:		http://spruce.sourceforge.net/gmime/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-utils
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gobject-introspection-devel >= 1.30.0
BuildRequires:	gpgme-devel >= 1:1.2.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	libidn-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	glib2 >= 1:2.32.0
Requires:	gpgme >= 1:1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows you to manipulate MIME messages.

%description -l pl.UTF-8
Ta biblioteka pozwala na manipulowanie wiadomościami MIME.

%package devel
Summary:	Header files to develop libgmime applications
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów z użyciem libgmime
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0
Requires:	gpgme-devel >= 1:1.2.0
Requires:	libidn-devel
Requires:	zlib-devel

%description devel
Header files develop libgmime applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów z użyciem libgmime.

%package static
Summary:	Static gmime library
Summary(pl.UTF-8):	Statyczna biblioteka gmime
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gmime library.

%description static -l pl.UTF-8
Statyczna biblioteka gmime.

%package apidocs
Summary:	gmime library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gmime
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
gmime library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gmime.

%package -n vala-gmime3
Summary:	Vala API for gmime library
Summary(pl.UTF-8):	API języka Vala do biblioteki gmime
Group:		Development/Languages
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-gmime3
Vala API for gmime library.

%description -n vala-gmime3 -l pl.UTF-8
API języka Vala do biblioteki gmime.

%prep
%setup -q -n gmime-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-largefile \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgmime-3.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_libdir}/libgmime-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgmime-3.0.so.0
%{_libdir}/girepository-1.0/GMime-3.0.typelib

%files devel
%defattr(644,root,root,755)
%doc PORTING
%attr(755,root,root) %{_libdir}/libgmime-3.0.so
%{_includedir}/gmime-3.0
%{_datadir}/gir-1.0/GMime-3.0.gir
%{_pkgconfigdir}/gmime-3.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgmime-3.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gmime-3.0

%files -n vala-gmime3
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gmime-3.0.deps
%{_datadir}/vala/vapi/gmime-3.0.vapi
%changelog
* Sun Jan 07 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gmime3.git;a=log;h=master

* Sun Jan 07 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 10e9275
- Update to 3.0.5

* Fri Jun 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 11551c0
- updated to 3.0.1, packaged as *gmime3*

* Thu Jan 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 02621b3
- updated to 2.6.23

* Sun Dec 18 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 19fab50
- Update to 2.6.22

* Mon Nov 28 2016 Jan Rękorajski <baggins@pld-linux.org> 33ffe5e
- release 6 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> aa95091
- updated gettext BR

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> deccdab
- noarch vala subpackage

* Fri Apr 03 2015 Jan Rękorajski <baggins@pld-linux.org> 97395e6
- disable mono on x32
- rel 4

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> c9abb76
- x32 rebuild
- release 3 (by relup.sh)

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 0a4580f
- noarch apidocs

* Mon Feb 24 2014 Łukasz Kieś <kiesiu@pld-linux.org> f7c9f48
- updated to 2.6.20

* Sat Oct 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> bd81670
- updated to 2.6.19

* Tue Sep 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 1fb77b7
- updated to 2.6.18

* Fri Aug 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 9f44a33
- updated to 2.6.17

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> ef1909d
- updated to 2.6.16; introduces gobject and vala bindings

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> c71c781
- updated to 2.6.15
- added am patch (fixes build with automake 1.13)

* Tue Dec 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 3bfc9f6
- updated to 2.6.13

* Wed Nov 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 64eaf13
- updated to 2.6.12

* Fri Oct 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> ec513a8
- Update to 2.6.11

* Sat Jun 16 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 4bc8579
- updated to 2.6.10

